Subject: Ftp-WG: Why redundant checksum

From: David Borman <[email-masked]>
Date: Wed, 12 Feb 2003 10:43:45 -0500

The IP checksum is mandatory, and changes at each hop as fields such
as TTL are modified.  However, intermediate systems along the forwarding
path don't necessarily need to do a full IP header checksum recalculation.
See RFC 1624, "Computation of the Internet Checksum via Incremental Update".

			-David Borman

> Date: Wed, 12 Feb 2003 04:11:16 -0500
> From: "Mohammad Awad" <[email-masked]>
> To: [email-masked]
> Subject: Ftp-WG: Why redundant checksum
>
> Hi all
> Is the checksum into the IP header is nessesarily calculated or modules can 
> ommit it and save the overhead of recomputing it at meny nodes along the 
> route, especially when the IP is being serving a reliable transport protocol 
> such as TCP which contains a another checksum for important fields inside 
> the IP header itself?